# MySQL-Front 3.2  (Build 6.11)
DROP TABLE IF EXISTS `ticket_answers`;
CREATE TABLE `ticket_answers` (
  `ID` int(7) NOT NULL auto_increment,
  `ticket` int(6) default '0',
  `message` text,
  `rep` int(5) NOT NULL default '0',
  `reference` int(7) default NULL,
  `timestamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `ticket_attachments`;
CREATE TABLE `ticket_attachments` (
  `ID` int(7) NOT NULL auto_increment,
  `ticket` int(6) NOT NULL default '0',
  `ref` int(7) NOT NULL default '0',
  `filename` varchar(100) NOT NULL default '',
  `type` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `ticket_banlist`;
CREATE TABLE `ticket_banlist` (
  `value_id` int(11) NOT NULL auto_increment,
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`value_id`)
) TYPE=MyISAM;

INSERT INTO `ticket_banlist` (`value_id`,`value`) VALUES (1,'mailer-daemon');
INSERT INTO `ticket_banlist` (`value_id`,`value`) VALUES (2,'Mail Delivery Subsystem');
INSERT INTO `ticket_banlist` (`value_id`,`value`) VALUES (3,'Mail Delivery System');
DROP TABLE IF EXISTS `ticket_categories`;
CREATE TABLE `ticket_categories` (
  `ID` int(5) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `pophost` varchar(200) NOT NULL default '',
  `popuser` varchar(200) NOT NULL default '',
  `poppass` varchar(200) NOT NULL default '',
  `email` varchar(200) NOT NULL default '',
  `signature` text NOT NULL,
  `hidden` int(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

INSERT INTO `ticket_categories` (`ID`,`name`,`pophost`,`popuser`,`poppass`,`email`,`signature`,`hidden`) VALUES (4,'Suporte','','','','suporte@empresasnainternet.com.br','Suporte',0);
INSERT INTO `ticket_categories` (`ID`,`name`,`pophost`,`popuser`,`poppass`,`email`,`signature`,`hidden`) VALUES (5,'Financeiro','pop.empresasnainternet.com.br','smtp.empresasnainternet.com.br','atemoiatn1','financeiro@empresasnainternet.com.br','Financeiro - QSA Solues Corporativas',0);
DROP TABLE IF EXISTS `ticket_config`;
CREATE TABLE `ticket_config` (
  `accept_attachments` int(1) NOT NULL default '0',
  `answer_method` enum('pop3','automatic') NOT NULL default 'automatic',
  `attachment_size` int(10) NOT NULL default '1048576',
  `attachment_dir` varchar(255) NOT NULL default 'create_it',
  `attachment_url` varchar(255) NOT NULL default 'attachments.php',
  `search_disp` int(1) NOT NULL default '1',
  `umq` int(3) default '3',
  `save_headers` int(1) NOT NULL default '0',
  `time_format` varchar(255) NOT NULL default 'l, F j Y g:ia',
  `min_interval` int(20) default '0',
  `ticket_max` int(3) NOT NULL default '20',
  `remove_original` int(1) NOT NULL default '1',
  `remove_tag` varchar(255) NOT NULL default '-- do not edit --',
  `ticket_response` int(1) NOT NULL default '1',
  `ticket_msg` text NOT NULL,
  `ticket_subj` varchar(255) NOT NULL default '',
  `limit_response` int(1) NOT NULL default '1',
  `limit_email` varchar(75) NOT NULL default '',
  `limit_subj` varchar(255) NOT NULL default '',
  `limit_msg` text NOT NULL,
  `alert_new` int(1) NOT NULL default '0',
  `alert_email` varchar(255) NOT NULL default '',
  `alert_user` varchar(255) NOT NULL default '',
  `alert_subj` varchar(255) NOT NULL default '',
  `alert_msg` text,
  `message_response` int(1) NOT NULL default '1',
  `message_subj` varchar(255) NOT NULL default '',
  `message_msg` text NOT NULL,
  `trans_response` int(1) NOT NULL default '1',
  `trans_subj` varchar(255) NOT NULL default '',
  `trans_msg` varchar(255) NOT NULL default '',
  `timezone` varchar(255) NOT NULL default '',
  `tickets_per_page` int(3) NOT NULL default '20',
  `root_url` varchar(255) NOT NULL default '',
  `filetypes` text NOT NULL,
  FULLTEXT KEY `message_subj` (`message_subj`)
) TYPE=MyISAM;

INSERT INTO `ticket_config` (`accept_attachments`,`answer_method`,`attachment_size`,`attachment_dir`,`attachment_url`,`search_disp`,`umq`,`save_headers`,`time_format`,`min_interval`,`ticket_max`,`remove_original`,`remove_tag`,`ticket_response`,`ticket_msg`,`ticket_subj`,`limit_response`,`limit_email`,`limit_subj`,`limit_msg`,`alert_new`,`alert_email`,`alert_user`,`alert_subj`,`alert_msg`,`message_response`,`message_subj`,`message_msg`,`trans_response`,`trans_subj`,`trans_msg`,`timezone`,`tickets_per_page`,`root_url`,`filetypes`) VALUES (0,'automatic',1048576,'D:\\ticket/create_one_yourself','http://localhost/ticket/attachments.php',1,3,0,'l, F j Y g:ia',60,20,1,'-- do not edit --',1,'Foi criado um ticket de suporte: (#%ticket) e um funcionrio ir lhe responder em breve.\r\n\r\nVoc pode ver o progresso deste ticket online aqui: %url/view.php?e=%email&t=%ticket.\r\n\r\nOBS: Se quiser enviar informao adicional referente a este ticket, por favor no mande outro e-mail. Ao invez disto, responda a este e-mail mantendo o assunto com o nmero do ticket.','Ticket de Suporte aberto [#%ticket]',1,'automailer@empresasnainternet.com.br','Ticket de Suporte Negado','Nenhum ticket de suporte foi criado para o e-mail enviado para %local_email porque h um limite mximo de %ticket_max tickets.\r\n\r\nPara abrir outro ticket, voc tem que fechar um dos tickets ateriores clicando aqui:\r\n%url/view.php',0,'alert@empresasnainternet.com.br','quemuel@empresasnainternet.com.br','Alerta de Nova Mensagem','%url/admin.php?a=view&id=%ticket',1,'Mensagem Adicionada [#%ticket]','Sua resposta para o ticket de suporte #%ticket foi registrado com sucesso.\r\n\r\nVoc pode ver o andamento do seu ticket on-line aqui: %url/view.php?e=%email&t=%ticket.',1,'Transferncia de departamento [#%ticket]','Seu e-mail foi transferido para o departamento %cat_name para reviso adicional.\r\n\r\n%trans_msg','-5',20,'http://localhost/ticket','.jpg;.gif;.png;.txt;');
DROP TABLE IF EXISTS `ticket_groups`;
CREATE TABLE `ticket_groups` (
  `ID` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `pref` int(1) NOT NULL default '0',
  `mail` int(1) NOT NULL default '0',
  `cat` int(1) NOT NULL default '0',
  `rep` int(1) NOT NULL default '0',
  `user_group` int(1) NOT NULL default '0',
  `banlist` int(1) NOT NULL default '0',
  `cat_access` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

INSERT INTO `ticket_groups` (`ID`,`name`,`pref`,`mail`,`cat`,`rep`,`user_group`,`banlist`,`cat_access`) VALUES (1,'Administrador',1,1,1,1,1,1,'all');
DROP TABLE IF EXISTS `ticket_messages`;
CREATE TABLE `ticket_messages` (
  `ID` int(7) NOT NULL auto_increment,
  `ticket` int(6) NOT NULL default '0',
  `message` text,
  `headers` text,
  `timestamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

INSERT INTO `ticket_messages` (`ID`,`ticket`,`message`,`headers`,`timestamp`) VALUES (1,939917,'Teste do Sistema de Suporte para o WebMaster.PT.','','20100611172816');
DROP TABLE IF EXISTS `ticket_privmsg`;
CREATE TABLE `ticket_privmsg` (
  `ID` int(10) NOT NULL auto_increment,
  `rep` int(10) NOT NULL default '0',
  `message` text NOT NULL,
  `timestamp` timestamp(14) NOT NULL,
  `ticket` int(6) NOT NULL default '0',
  `attachment` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `ticket_reps`;
CREATE TABLE `ticket_reps` (
  `ID` int(5) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `username` varchar(50) NOT NULL default '',
  `password` varchar(255) default NULL,
  `signature` text NOT NULL,
  `user_group` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

INSERT INTO `ticket_reps` (`ID`,`name`,`email`,`username`,`password`,`signature`,`user_group`) VALUES (5,'admin','quemuel@empresasnainternet.com.br','admin','e10adc3949ba59abbe56e057f20f883e','','1');
DROP TABLE IF EXISTS `tickets`;
CREATE TABLE `tickets` (
  `subject` varchar(50) NOT NULL default '[No Subject]',
  `name` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `phone` varchar(20) default NULL,
  `status` enum('open','closed') NOT NULL default 'open',
  `ID` int(6) NOT NULL default '0',
  `cat` int(5) NOT NULL default '0',
  `priority` tinyint(1) NOT NULL default '2',
  `ip` varchar(255) NOT NULL default '',
  `trans_msg` varchar(255) NOT NULL default '',
  `timestamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

INSERT INTO `tickets` (`subject`,`name`,`email`,`phone`,`status`,`ID`,`cat`,`priority`,`ip`,`trans_msg`,`timestamp`) VALUES ('Teste','Quemuel Aquino','comandosusa@gmail.com','+55 19 3387-5956','open',939917,4,2,'','','20100611172816');
